> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.deribit.com/feedback

```json
{
  "path": "/api-reference/wallet/private-create_deposit_address",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# private/create_deposit_address

> Creates a new deposit address for the specified currency. Each currency can have multiple deposit addresses. Use this method to generate a new address for receiving deposits.

**Note:**

For Bitcoin, a new address can be generated every 24 hours.

For ERC20, Solana and XRP only one address can be generated.

**Note:**

If an ERC20 address is generated, this address will be automatically added for every asset that uses ERC20 addresses.

**📖 Related Article:** [Managing Deposits](https://docs.deribit.com/articles/managing-deposits-api)

**Scope:** `wallet:read_write`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fcreate_deposit_address)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /private/create_deposit_address
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /private/create_deposit_address:
    get:
      tags:
        - Wallet
        - Private
      description: >+
        Creates a new deposit address for the specified currency. Each currency
        can have multiple deposit addresses. Use this method to generate a new
        address for receiving deposits.


        **Note:**


        For Bitcoin, a new address can be generated every 24 hours.


        For ERC20, Solana and XRP only one address can be generated.


        **Note:**


        If an ERC20 address is generated, this address will be automatically
        added for every asset that uses ERC20 addresses.


        **📖 Related Article:** [Managing
        Deposits](https://docs.deribit.com/articles/managing-deposits-api)


        **Scope:** `wallet:read_write`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fcreate_deposit_address)

      parameters:
        - name: currency
          required: true
          in: query
          schema:
            $ref: '#/components/schemas/currency'
          description: The currency symbol
      requestBody:
        content:
          application/json:
            examples:
              request:
                value:
                  jsonrpc: '2.0'
                  id: 7538
                  method: private/create_deposit_address
                  params:
                    currency: BTC
                description: JSON-RPC Request Example
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateDepositAddressResponse'
components:
  schemas:
    currency:
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
      type: string
      description: Currency, i.e `"BTC"`, `"ETH"`, `"USDC"`
    PrivateDepositAddressResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: object
          properties:
            creation_timestamp:
              $ref: '#/components/schemas/timestamp'
            currency:
              $ref: '#/components/schemas/currency'
            address:
              $ref: '#/components/schemas/currency_address'
            type:
              $ref: '#/components/schemas/wallet_address_type'
          required:
            - creation_timestamp
            - currency
            - address
            - type
          description: Object if address is created, null otherwise
      required:
        - jsonrpc
        - result
      type: object
    timestamp:
      example: 1536569522277
      type: integer
      description: The timestamp (milliseconds since the Unix epoch)
    currency_address:
      example: 1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa
      type: string
      description: Address in proper format for currency
    wallet_address_type:
      type: string
      description: 'Address type/purpose, allowed values : `deposit`'
  responses:
    PrivateDepositAddressResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PrivateDepositAddressResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                id: 3461
                result:
                  address: 2N8udZGBc1hLRCFsU9kGwMPpmYUwMFTuCwB
                  creation_timestamp: 1550575165170
                  currency: BTC
                  type: deposit
              description: Response example
      description: Success response

````